List apps

Apps

circle-info

The returned app(s) will display only explicitly set parameters, with all other values defaulting to the organization or Appetize defaults.

Get All Apps - Paginated

get

Retrieves information about all apps int he account, with associated metadata.

Recommended approach for retrieving all apps.

Authorizations
X-API-KEYstringRequired

Use an API token for authentication via X-API-KEY header

Query parameters
nextKeystringOptional

If results are truncated due to too many apps, response will include hasMore:true and a nextKey to retrieve the next page. Pass the nextKey value as query parameter into the GET request to retrieve the next batch of apps.

Example: xyz
Responses
chevron-right
200

OK

application/json
hasMorebooleanOptional

Indicates if results have been truncated

nextKeystringOptional

Query parameter for the next batch of results

get
/apps
200

OK

Get All Apps - Not Paginated

get

Retrieves information about all apps in the account, with associated metadata.

NOTE: No pagination is performed so this query might be slow. It is recommended to use the paginated version of this query if possible.

Authorizations
X-API-KEYstringRequired

Use an API token for authentication via X-API-KEY header

Responses
chevron-right
200

OK

application/json
get
/apps/all
200

OK

Get a Single App

get

Retrieves information about a single app.

Authorizations
X-API-KEYstringRequired

Use an API token for authentication via X-API-KEY header

Path parameters
publicKeystringRequired

The publicKey for the app.

Example: p7nww3n6ubq73r1nh9jtauqy8w
Responses
chevron-right
200

OK

application/json
publicKeystringOptional

The publicKey for the app.

createdstring · date-timeOptional

The date and time when the app was created.

updatedstring · date-timeOptional

The date and time when the app was last updated.

platformstringOptional

The platform of the app (ios or android).

bundlestringOptional

The app identifier of the app.

namestringOptional

The name of the app.

appDisplayNamestringOptional

The display name of the app.

appVersionCodestringOptional

The version code of the app.

appVersionNamestringOptional

The version name of the app.

versionCodeintegerOptional

The incremental version code, managed by Appetize, for the app.

iconUrlstring · uriOptional

The URL to the app's icon image.

get
/apps/{app_publicKey}
200

OK

App Groups

Get an App Group

get

Retrieves information about an app group and all the apps associated with it.

Authorizations
X-API-KEYstringRequired

Use an API token for authentication via X-API-KEY header

Path parameters
publicKeystringRequired

The publicKey for the app group (starts with ag_).

Example: ag_{publicKey}
Responses
chevron-right
200

OK

application/json
publicKeystringOptional

The publicKey for the app group.

createdstring · date-timeOptional

The date and time when the app group was created.

updatedstring · date-timeOptional

The date and time when the app group was last updated.

createdBystringOptional

The user who created the app group.

namestringOptional

The name of the app group.

appsstring[]Optional

The publicKeys of the apps in the app group.

get
/apps/{appgroup_publicKey}
200

OK

Last updated